List members
curl --request GET \
--url https://api.example.com/api/projects/{projectId}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects/{projectId}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects/{projectId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"owner": true,
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"type": "<string>",
"status": "<string>",
"organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"isService": true
},
"groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": [
"<string>"
],
"description": "<string>",
"roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
],
"paginate": {
"current": 123,
"from": 123,
"to": 123,
"total": 123,
"pageSize": 123
}
}Member
List members
Retrieve a paginated list of all members in a project, including their user details and group assignments.
GET
/
api
/
projects
/
{projectId}
/
members
List members
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Unique identifier of the project
Query Parameters
Search term to filter members by email or name
Current page
Number of items per page
Was this page helpful?
⌘I